import request from '/@/utils/request';

export function emergencyDrillEvaluationApi() {
    return {
        // 应急演练实施评价一览
        getEmergencyDrillEvaluationList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencyDrillEvaluation/page/list',
                method: 'post',
                data: params
            });
        },
        // 应急演练实施评价新增
        addEmergencyDrillEvaluation: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillEvaluation/add`,
                method: 'post',
                data: params
            });
        },
        // 应急演练实施评价详情
        seeEmergencyDrillEvaluation: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillEvaluation/info/${params}`,
                method: 'get'
            });
        },
        // 应急演练实施评价编辑
        editEmergencyDrillEvaluation: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillEvaluation/update`,
                method: 'post',
                data: params
            });
        },
        // 应急演练实施评价删除
        deleteEmergencyDrillEvaluation: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillEvaluation/batchDelete`,
                method: 'post',
                data: params
            });
        }
    };
}
